#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.1.0
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.1.0-wXyX3PDg8wL465NPgtCe-dns-internal
key:                  dns-4.1.0-wXyX3PDg8wL465NPgtCe-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  0e74752b1a9e55f51611e9d07319a85d
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.0-wXyX3PDg8wL465NPgtCe-dns-internal
depends:
    array-0.5.4.0 async-2.2.4-DsKZe3TE8bS5FmfUvwss6n
    attoparsec-0.14.4-GQCbZtbgbga3SK9vWtEEFK
    auto-update-0.1.6-JoujffNRxTI2K0LzXdRsaB base-4.15.1.0
    base16-bytestring-1.0.2.0-DES3Ta4RQJs9zYvTa0K9VH
    base64-bytestring-1.2.1.0-4cRiweiLQA5F7M7qL12fiz
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-EulWVZvKrH8KexMmvSPppe
    hourglass-0.2.12-DOZNkSPxrlnE9i2jrA0vdJ
    iproute-1.7.12-K2geNJU76lX39WFXlpRPEj mtl-2.2.2
    network-3.1.2.7-KHsxGS10v7SFpM3TUBfkXY
    psqueues-0.2.7.3-56yzO4SGEncEhCBaMvLCQ1

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.1.0
visibility:           public
id:                   dns-4.1.0-GKNl3ZqGHxN2SHWFrKCKx8
key:                  dns-4.1.0-GKNl3ZqGHxN2SHWFrKCKx8
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  a9ea3cb5b48ca408fd9594fed96f9018
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.0-GKNl3ZqGHxN2SHWFrKCKx8
depends:
    array-0.5.4.0 async-2.2.4-DsKZe3TE8bS5FmfUvwss6n
    attoparsec-0.14.4-GQCbZtbgbga3SK9vWtEEFK
    auto-update-0.1.6-JoujffNRxTI2K0LzXdRsaB base-4.15.1.0
    base16-bytestring-1.0.2.0-DES3Ta4RQJs9zYvTa0K9VH
    base64-bytestring-1.2.1.0-4cRiweiLQA5F7M7qL12fiz
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-EulWVZvKrH8KexMmvSPppe
    dns-4.1.0-wXyX3PDg8wL465NPgtCe-dns-internal
    hourglass-0.2.12-DOZNkSPxrlnE9i2jrA0vdJ
    iproute-1.7.12-K2geNJU76lX39WFXlpRPEj mtl-2.2.2
    network-3.1.2.7-KHsxGS10v7SFpM3TUBfkXY
    psqueues-0.2.7.3-56yzO4SGEncEhCBaMvLCQ1

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

